WNText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPictMac.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWTable.hxx"`
`#include "WNParser.hxx"`
`#include "WNEntry.hxx"`
`#include "WNText.hxx"`

## Classes

struct | WNTextInternal::Font
| Internal: the fonts. More...
struct | WNTextInternal::Paragraph
| Internal: class to store the paragraph properties. More...
struct | WNTextInternal::Style
| Internal: class to store a style. More...
struct | WNTextInternal::Token
| Internal: the token of a WNText. More...
struct | WNTextInternal::TableData
| Internal: the table of a WNText. More...
struct | WNTextInternal::ContentZone
| Internal: structure used to store the content structure. More...
struct | WNTextInternal::ContentZones
| Internal: structure used to store the content structure. More...
struct | WNTextInternal::Cell
| Internal: the cell of a WNText. More...
struct | WNTextInternal::Table
struct | WNTextInternal::Zone
| Internal: structure used to store the content structure. More...
struct | WNTextInternal::State
| Internal: the state of a WNText. More...

## Namespaces

| WNTextInternal
| Internal: the structures of a WNText.

## Functions

std::ostream & | WNTextInternal::operator<< (std::ostream &o, ContentZone const &z)